TikTok · 搜索

图文帖搜索

传入搜索关键词,返回 TikTok 找到的图文帖(轮播图),以视频记录形式给出,含图片链接、互动数和作者。

POST/v1/tiktok/photoSearch

$0.00042每条

1,000 条
≈ $0.42
每页(20 条)最低
$0.001349

可用试用额度能用 cursor 翻页

在控制台里试

怎么发

用 POST 带 JSON 请求体,或者用 GET 把同样的参数放进查询串。key 放在 Authorization 头里。

curl -X POST "https://api.silklinedata.com/v1/tiktok/photoSearch" \
  -H "Authorization: Bearer $SILKLINE_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit":5,"keywords":["cats"]}'

返回什么

这是 2026-11-09 一次真实请求返回的记录。普通用户的名字、头像和主页链接显示为 <masked>;长文字只在这里截短,接口里是完整的。

200 OK · 取数日期 2026-11-09
{
  "data": [
    {
      "type": "video",
      "videoId": "7703307623151504662",
      "url": "https://www.tiktok.com/@c***1504662",
      "description": "#cutecat #smallcat #socute #fyp #meow…",
      "hashtags": [
        "cutecat",
        "smallcat",
        "socute"
      ],
      "createdAt": "2026-11-01T20:47:59Z",
      "durationSeconds": 0,
      "playCount": 534400,
      "likeCount": 152600,
      "commentCount": 424,
      "shareCount": 63400,
      "collectCount": 11423,
      "downloadCount": null,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 21600,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": null,
      "musicTitle": "som original",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p16-common-sign.tiktokcdn-us.…",
      "videoUrl": null,
      "textLanguage": "un",
      "isPinned": null,
      "isSlideshow": true,
      "mentions": [],
      "width": 0,
      "height": 0,
      "musicId": "7451100017054731013",
      "musicOriginal": true,
      "authorFollowingCount": 44,
      "isPaidContent": null,
      "isAd": false,
      "keyword": "cats",
      "imageUrls": [
        "https://p19-common-sign.tiktokcdn-us.…",
        "https://p16-common-sign.tiktokcdn-us.…",
        "https://p16-common-sign.tiktokcdn-us.…"
      ]
    },
    {
      "type": "video",
      "videoId": "7590263889506340109",
      "url": "https://www.tiktok.com/@c***0109",
      "description": "Happy new year #fyp #catsoftiktok #to…",
      "hashtags": [
        "fyp",
        "catsoftiktok",
        "toes"
      ],
      "createdAt": "2026-01-01T05:40:38Z",
      "durationSeconds": 0,
      "playCount": 7500000,
      "likeCount": 1400000,
      "commentCount": 3805,
      "shareCount": 575100,
      "collectCount": 121744,
      "downloadCount": null,
      "authorHandle": "<masked>",
      "authorName": "<masked>",
      "authorFollowerCount": 184000,
      "authorVerified": "<masked>",
      "authorId": "<masked>",
      "authorSecUid": "<masked>",
      "authorAvatarUrl": "<masked>",
      "authorBio": "<masked>",
      "authorRegion": null,
      "musicTitle": "original sound",
      "musicAuthor": "<masked>",
      "coverUrl": "https://p19-common-sign.tiktokcdn-us.…",
      "videoUrl": null,
      "textLanguage": "en",
      "isPinned": null,
      "isSlideshow": true,
      "mentions": [],
      "width": 0,
      "height": 0,
      "musicId": "7572472750200130335",
      "musicOriginal": true,
      "authorFollowingCount": 129,
      "isPaidContent": null,
      "isAd": false,
      "keyword": "cats",
      "imageUrls": [
        "https://p16-common-sign.tiktokcdn-us.…",
        "https://p16-common-sign.tiktokcdn-us.…",
        "https://p19-common-sign.tiktokcdn-us.…"
      ]
    }
  ],
  "cursor": "c1.Hq8vR2mTn5wK.yJ0dXA…",
  "meta": {
    "request_id": "req_01JD8Q…",
    "charged_usd": "0.001349",
    "balance_usd": "9.875000",
    "items": 2
  }
}

字段 39

字段类型示例值
typestringvideo
videoIdstring7703307623151504662
urlstringhttps://www.tiktok.com/@c***1504662
descriptionstring#cutecat #smallcat #socute #fyp #meow
hashtagsarray["cutecat","smallcat","socute"]
createdAtstring2026-11-01T20:47:59Z
durationSecondsnumber0
playCountnumber534400
likeCountnumber152600
commentCountnumber424
shareCountnumber63400
collectCountnumber11423
downloadCountnullnull
authorHandlestring<masked>
authorNamestring<masked>
authorFollowerCountnumber21600
authorVerifiedstring<masked>
authorIdstring<masked>
authorSecUidstring<masked>
authorAvatarUrlstring<masked>
authorBiostring<masked>
authorRegionnullnull
musicTitlestringsom original
musicAuthorstring<masked>
coverUrlstringhttps://p16-common-sign.tiktokcdn-us.com/tos-no1a-i-photomod…
videoUrlnullnull
textLanguagestringun
isPinnednullnull
isSlideshowbooleantrue
mentionsarray[]
widthnumber0
heightnumber0
musicIdstring7451100017054731013
musicOriginalbooleantrue
authorFollowingCountnumber44
isPaidContentnullnull
isAdbooleanfalse
keywordstringcats
imageUrlsarray["https://p19-common-sign.tiktokcdn-us.com/tos-no1a-i-photom…

参数 2

参数名类型必填说明示例
limitinteger否返回多少条记录,1 到 100。一次请求返回的条数不会超过这个数。5
keywordsarray是搜索关键词;每个关键词单独搜索(或单独查询联想词)。为空时使用示例关键词(skincare。["cats"]

翻页

把上一次返回的 cursor 连同同样的参数传回来,拿下一页。每一页是一次独立的请求,单独计费;最后一页的 cursor 是 null。

JavaScript
const params = {"keywords":["cats"]};
const records = [];
let cursor = null;
do {
  const response = await fetch("https://api.silklinedata.com/v1/tiktok/photoSearch", {
    method: "POST",
    headers: { Authorization: `Bearer ${process.env.SILKLINE_KEY}`, "Content-Type": "application/json" },
    body: JSON.stringify({ ...params, limit: 100, ...(cursor ? { cursor } : {}) }),
  });
  const answer = await response.json();
  records.push(...answer.data);
  cursor = answer.cursor;
} while (cursor);
console.log(records.length);

一次请求花多少

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。

这个接口一页最多 20 条,每页最低收费 $0.001349;要 100 条的请求会取 5 页。

  • 1 条:最多 $0.001349
  • 20 条:最多 $0.0084
  • 100 条:最多 $0.042

返回的 meta 里写着这次扣了多少(charged_usd)和还剩多少(balance_usd)。我们这边出错不收费。

常见问题

「图文帖搜索」要传哪些参数?

必填:keywords。另外都可以传 limit(1 到 100)。

一次请求最多返回多少条?

每次请求最多 100 条(limit 1 到 100)。每页最多 20 条,要 100 条时一次请求取 5 页。

能接着往后取吗?

能。回答里有 cursor 时,带上同样的参数和这个 cursor 再请求一次,就从上次停下的地方接着取。

怎么收费?

每条 记录 $0.00042。每页最低收费 $0.001349:条数少或没有结果时,每取一页最多收这么多,可能更低。取 100 条最多 $0.042。

请求失败或者没有结果时怎么收费?

按条计费;一次请求条数少或没有结果时,每取一页收费不超过这个接口每页的最低收费,可能更低;我们这边出错或超时不收费。回答里的 meta 写着这次收了多少、余额还剩多少。